package com.jprofiler.api.agent;

/**
 * Represents the types of values to be tracked in probe tracking.
 * @see Controller#startProbeTracking(String, String[], ProbeObjectType, ProbeValueType)
 */
public enum ProbeValueType {

    /**
     * The probe tracker will show a graph of average times.
     */
    TIMES("Times"),

    /**
     * The probe tracker will show a graph of average counts.
     */
    COUNT("Counts"),

    /**
     * The probe tracker will show a graph of average throughputs.
     */
    THROUGHPUT("Throughput");

    private String description;

    ProbeValueType(String description) {
        this.description = description;
    }

    @Override
    public String toString() {
        return description;
    }
}
